redirect to www.wikidata.org not working anymore
Closed, ResolvedPublic

Description

Author: deletesoftware

Description:
bug 51575 comment 5:

Using Firefox Nightly
2013-09-11-03-02-58-mozilla-central-firefox-26.0a1.en-US.linux-x86_64 with a
new profile and no extensions (I also use Firefox Beta), I

  • logged in at

https://www.wikidata.org/w/index.php?title=Special:UserLogin&returnto=Wikidata%3AMain+Page

  • replaced the "www" in an URL with "en",

no redirect to "www" happened on further navigation.

Lydia Pintscher on 2013-09-18:

Ok both Denny and I can reproduce this now. Will need to investigate further.


Version: wmf-deployment
Severity: major
Whiteboard: u=dev c=infrastructure p=2
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=45005

bzimport added a project: Wikidata.org.Via ConduitNov 22 2014, 1:57 AM
bzimport set Reference to bz54273.
bzimport created this task.Via LegacySep 18 2013, 1:38 PM
Aklapper added a comment.Via ConduitSep 18 2013, 2:44 PM

(In reply to comment #0)

"Logged in" as an action (I went to that page and logged in)?
"Logged in" as a status (I was already logged in and went to that page)?

  • replaced the "www" in an URL with "en",

So you entered https://en.wikidata.org/w/index.php?title=Special:UserLogin&returnto=Wikidata%3AMain+Page as URL?

no redirect to "www" happened on further navigation.

So what was the outcome? You stayed on en.wikidata.org? Some error?

Does this work in other browsers? Which exact Firefox version?

bzimport added a comment.Via ConduitNov 15 2013, 1:52 PM

deletesoftware wrote:

You don't need to log in.

If I go to https://en.wikidata.org/wiki/Wikidata:Main_Page, on further navigation I am still at en.wikidata.org, not www.wikidata.org. Same with ru.wikidata.org (and the language is English).

Reproducible with Firefox 24.0 and Nightly.

The domain becomes www if I follow a link with Special:MyLanguage, like http://ru.wikidata.org/wiki/Special:MyLanguage/Project:Community_portal

Lydia_Pintscher added a comment.Via ConduitDec 4 2013, 6:44 PM

Update: This is also happening in Chromium. It is not happening with www. but is happening with en. for example. It also only seems to happen if you go to the explicit address (https://en.wikidata.org/wiki/Wikidata:Main_Page) and not for https://en.wikidata.org which redirects there.

gerritbot added a comment.Via ConduitFeb 18 2014, 3:55 PM

Change 113972 had a related patch set uploaded by Thiemo Mättig (WMDE):
Redirect all *.wikidata.org subdomains to www.wikidata.org

https://gerrit.wikimedia.org/r/113972

gerritbot added a comment.Via ConduitMar 17 2014, 12:00 PM

Change 119032 had a related patch set uploaded by Faidon Liambotis:
Remove language subdomains for wikidata.org

https://gerrit.wikimedia.org/r/119032

gerritbot added a comment.Via ConduitMar 28 2014, 9:33 AM

Change 119032 merged by Faidon Liambotis:
Remove language subdomains for wikidata.org

https://gerrit.wikimedia.org/r/119032

gerritbot added a comment.Via ConduitMar 28 2014, 11:54 AM

Change 113972 abandoned by Thiemo Mättig (WMDE):
Redirect all *.wikidata.org subdomains to www.wikidata.org

https://gerrit.wikimedia.org/r/113972

Add Comment